org.gcube.datacatalogue.grsf_manage_widget.client.view

## Class ManageProductWidget

- java.lang.Object
- - com.google.gwt.user.client.ui.UIObject
  - - com.google.gwt.user.client.ui.Widget
    - - com.google.gwt.user.client.ui.Composite
      - - org.gcube.datacatalogue.grsf_manage_widget.client.view.ManageProductWidget

All Implemented Interfaces:
  com.google.gwt.event.logical.shared.HasAttachHandlers, com.google.gwt.event.shared.HasHandlers, com.google.gwt.user.client.EventListener, com.google.gwt.user.client.ui.HasVisibility, com.google.gwt.user.client.ui.IsRenderable, com.google.gwt.user.client.ui.IsWidget

    public class ManageProductWidget
    extends com.google.gwt.user.client.ui.Composite

### Nested Class Summary

### Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.UIObject

`com.google.gwt.user.client.ui.UIObject.DebugIdImpl, com.google.gwt.user.client.ui.UIObject.DebugIdImplEnabled`

### Field Summary

Fields
`protected static String` `ERROR_ON_RETRIEVING_BEAN`
`static String` `LOADING_IMAGE_URL`
`protected static String` `NO_GRSF_RECORD_BEAN`

### Fields inherited from class com.google.gwt.user.client.ui.UIObject

`DEBUG_ID_PREFIX`

### Constructor Summary

Constructors
Constructor and Description
`ManageProductWidget(String productIdentifier)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `showInfo(String statusUpdateError, com.github.gwtbootstrap.client.ui.constants.AlertType type)` Show information

### Methods inherited from class com.google.gwt.user.client.ui.Composite

`claimElement, getWidget, initializeClaimedElement, initWidget, isAttached, onAttach, onBrowserEvent, onDetach, render, render, resolvePotentialElement, setWidget`

### Methods inherited from class com.google.gwt.user.client.ui.Widget

`addAttachHandler, addBitlessDomHandler, addDomHandler, addHandler, asWidget, asWidgetOrNull, createHandlerManager, delegateEvent, doAttachChildren, doDetachChildren, fireEvent, getHandlerCount, getLayoutData, getParent, isOrWasAttached, onLoad, onUnload, removeFromParent, setLayoutData, sinkEvents, unsinkEvents`

### Methods inherited from class com.google.gwt.user.client.ui.UIObject

`addStyleDependentName, addStyleName, ensureDebugId, ensureDebugId, ensureDebugId, getAbsoluteLeft, getAbsoluteTop, getElement, getOffsetHeight, getOffsetWidth, getStyleElement, getStyleName, getStyleName, getStylePrimaryName, getStylePrimaryName, getTitle, isVisible, isVisible, onEnsureDebugId, removeStyleDependentName, removeStyleName, setElement, setElement, setHeight, setPixelSize, setSize, setStyleDependentName, setStyleName, setStyleName, setStyleName, setStyleName, setStylePrimaryName, setStylePrimaryName, setTitle, setVisible, setVisible, setWidth, sinkBitlessEvent, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### LOADING_IMAGE_URL

    public static final String LOADING_IMAGE_URL

#### ERROR_ON_RETRIEVING_BEAN

    protected static final String ERROR_ON_RETRIEVING_BEAN

See Also:
  Constant Field Values

#### NO_GRSF_RECORD_BEAN

    protected static final String NO_GRSF_RECORD_BEAN

See Also:
  Constant Field Values

### Constructor Detail

#### ManageProductWidget

    public ManageProductWidget(String productIdentifier)

### Method Detail

#### showInfo

    protected void showInfo(String statusUpdateError,
                            com.github.gwtbootstrap.client.ui.constants.AlertType type)

Show information

Parameters:
  `statusUpdateError` -